libstdc++: std::move_sentinel< _Sent > Class Template Reference

libstdc++

std::move_sentinel< _Sent > Class Template Reference
Iterators

`#include <stl_iterator.h>`

## Public Member Functions
constexpr | move_sentinel (_Sent __s) noexcept(is_nothrow_move_constructible_v< _Sent >)
template<typename _S2> requires convertible_to<const _S2&, _Sent>
constexpr | move_sentinel (const move_sentinel< _S2 > &__s) noexcept(is_nothrow_constructible_v< _Sent, const _S2 & >)
constexpr _Sent | base () const noexcept(is_nothrow_copy_constructible_v< _Sent >)
template<typename _S2> requires assignable_from<_Sent&, const _S2&>
constexpr move_sentinel & | operator= (const move_sentinel< _S2 > &__s) noexcept(is_nothrow_assignable_v< _Sent, const _S2 & >)

## Detailed Description

template<semiregular _Sent>
class std::move_sentinel< _Sent >

A sentinel adaptor for use with std::move_iterator.

Definition at line 1379 of file bits/stl_iterator.h.

## Constructor & Destructor Documentation

## ◆ move_sentinel() [1/3]

template<semiregular _Sent>

std::move_sentinel< _Sent >::move_sentinel | ( |  | ) |
| inlineconstexprnoexcept

Definition at line 1383 of file bits/stl_iterator.h.

## ◆ move_sentinel() [2/3]

template<semiregular _Sent>

std::move_sentinel< _Sent >::move_sentinel | ( | _Sent | __s | ) |
| inlineexplicitconstexprnoexcept

Definition at line 1388 of file bits/stl_iterator.h.

## ◆ move_sentinel() [3/3]

template<semiregular _Sent>
template<typename _S2>
requires convertible_to<const _S2&, _Sent>

std::move_sentinel< _Sent >::move_sentinel | ( | const move_sentinel< _S2 > & | __s | ) |
| inlineconstexprnoexcept

Definition at line 1394 of file bits/stl_iterator.h.

## Member Function Documentation

## ◆ base()

template<semiregular _Sent>

_Sent std::move_sentinel< _Sent >::base | ( |  | ) | const
| inlinenodiscardconstexprnoexcept

Definition at line 1410 of file bits/stl_iterator.h.

## ◆ operator=()

template<semiregular _Sent>
template<typename _S2>
requires assignable_from<_Sent&, const _S2&>

move_sentinel & std::move_sentinel< _Sent >::operator= | ( | const move_sentinel< _S2 > & | __s | ) |
| inlineconstexprnoexcept

Definition at line 1401 of file bits/stl_iterator.h.

The documentation for this class was generated from the following file:

- bits/stl_iterator.h